Page MenuHomePhabricator

Special pages shouldn't use wb-input anymore
Closed, ResolvedPublic

Description

The following special pages now use wb-input, causing the submit button flowing right next to the fields. Looking at Special:NewItem and other Wikbase special pages, this doesn't seem standard for them.

  • Special:SetLabel
  • Special:SetDescription
  • Special:SetAliases
  • Special:SetLabelDescriptionAliases

Special:SetSiteLink also still used wb-input, but this only caused a small margin error under the checkboxes.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRemove redundant Wikibase styles for special pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 4:59 PM
StjnVMF renamed this task from Special pages to edit terms shouldn't use wb-input to unban reguyla.May 18 2018, 5:22 PM
StjnVMF updated the task description. (Show Details)
Sjoerddebruin renamed this task from unban reguyla to Special pages to edit terms shouldn't use wb-input.May 18 2018, 5:25 PM
Sjoerddebruin updated the task description. (Show Details)

Change 433957 had a related patch set uploaded (by Sjoerddebruin; owner: Sjoerddebruin):
[mediawiki/extensions/Wikibase@master] Remove .wb-input from term special pages

https://gerrit.wikimedia.org/r/433957

So I've just discovered that this is a leftover from our special pages before the ooui conversion. A part was removed in T159702, but it seems like we don't need these CSS styles (from 2012!) at all anymore. I've updated the patch to remove the CSS file and the usage in the tests. Also Special:SetSiteLink was still using these styles, after this change has been merged the margin under the checkboxes will be okay again.

Sjoerddebruin renamed this task from Special pages to edit terms shouldn't use wb-input to Special pages shouldn't use wb-input anymore.May 19 2018, 12:30 PM
Sjoerddebruin updated the task description. (Show Details)
Sjoerddebruin moved this task from incoming to in progress on the Wikidata board.May 23 2018, 11:37 AM
Vvjjkkii renamed this task from Special pages shouldn't use wb-input anymore to 8qcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed Sjoerddebruin as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 8qcaaaaaaa to Special pages shouldn't use wb-input anymore.Jul 1 2018, 7:34 PM
CommunityTechBot assigned this task to Sjoerddebruin.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 433957 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove redundant Wikibase styles for special pages

https://gerrit.wikimedia.org/r/433957

matej_suchanek closed this task as Resolved.Jul 5 2018, 7:12 AM
matej_suchanek removed a project: Patch-For-Review.